Create a schedule
curl --request POST \
--url https://api.getsly.ai/v1/v1/scheduled-transfers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fromAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"startDate": "2023-11-07T05:31:56Z",
"toAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"toPaymentMethodId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currency": "USDC",
"intervalValue": 1,
"dayOfMonth": 16,
"dayOfWeek": 3,
"cronExpression": "<string>",
"timezone": "UTC",
"endDate": "2023-11-07T05:31:56Z",
"maxOccurrences": 123,
"retryEnabled": true,
"maxRetryAttempts": 3,
"retryWindowDays": 14,
"description": "<string>"
}
'import requests
url = "https://api.getsly.ai/v1/v1/scheduled-transfers"
payload = {
"fromAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"startDate": "2023-11-07T05:31:56Z",
"toAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"toPaymentMethodId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currency": "USDC",
"intervalValue": 1,
"dayOfMonth": 16,
"dayOfWeek": 3,
"cronExpression": "<string>",
"timezone": "UTC",
"endDate": "2023-11-07T05:31:56Z",
"maxOccurrences": 123,
"retryEnabled": True,
"maxRetryAttempts": 3,
"retryWindowDays": 14,
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fromAccountId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
amount: 123,
startDate: '2023-11-07T05:31:56Z',
toAccountId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
toPaymentMethodId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
currency: 'USDC',
intervalValue: 1,
dayOfMonth: 16,
dayOfWeek: 3,
cronExpression: '<string>',
timezone: 'UTC',
endDate: '2023-11-07T05:31:56Z',
maxOccurrences: 123,
retryEnabled: true,
maxRetryAttempts: 3,
retryWindowDays: 14,
description: '<string>'
})
};
fetch('https://api.getsly.ai/v1/v1/scheduled-transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fromAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": "<string>",
"currency": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"executions_completed": 123,
"created_at": "2023-11-07T05:31:56Z",
"toAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"toPaymentMethodId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"intervalValue": 1,
"dayOfMonth": 16,
"dayOfWeek": 3,
"cronExpression": "<string>",
"timezone": "UTC",
"endDate": "2023-11-07T05:31:56Z",
"maxOccurrences": 123,
"retryEnabled": true,
"maxRetryAttempts": 3,
"retryWindowDays": 14,
"next_execution_at": "2023-11-07T05:31:56Z",
"last_execution_at": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"details": "<unknown>",
"request_id": "<string>"
}Scheduled Transfers
Create a schedule
Configure a recurring or future-dated transfer. Use frequency: custom with a cron expression for arbitrary cadences.
POST
/
v1
/
scheduled-transfers
Create a schedule
Authorizations
API key (pk_test_* or pk_live_), JWT session, agent token (agent_), Ed25519 session (sess_), or portal token (portal_).
Body
application/json
Available options:
daily, weekly, biweekly, monthly, custom Required range:
1 <= x <= 31Required range:
0 <= x <= 6Required range:
0 <= x <= 10Required range:
1 <= x <= 60Maximum string length:
500Response
Schedule created
Show child attributes
Show child attributes
⌘I